## arpeggio 2.0.2

=== perf-tests/requirements.txt ===
psutil
memory_profiler

## arpeggio 1.9.2

=== debian/changelog ===
arpeggio (1.9.2-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Philipp Huebner <debalance@debian.org>  Wed, 27 May 2020 08:43:34 +0200

arpeggio (1.9.2-2) unstable; urgency=medium

  * Source-only upload

 -- Philipp Huebner <debalance@debian.org>  Wed, 15 Apr 2020 11:00:04 +0200

arpeggio (1.9.2-1) unstable; urgency=medium

  * Initial release (Closes: #951489)

 -- Philipp Huebner <debalance@debian.org>  Mon, 17 Feb 2020 13:16:17 +0100

=== debian/control ===
Source: arpeggio
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-distutils,
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: http://textx.github.io/Arpeggio/
Vcs-Browser: https://salsa.debian.org/python-team/modules/arpeggio
Vcs-Git: https://salsa.debian.org/python-team/modules/arpeggio.git

Package: python3-arpeggio
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-arpeggio-doc
Description: parser interpreter based on PEG grammars (Python 3)
 Arpeggio is a recursive descent parser with memoization based on PEG grammars
 (aka Packrat parser).
 .
 This package installs the library for Python 3.

Package: python-arpeggio-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: parser interpreter based on PEG grammars (common documentation)
 Arpeggio is a recursive descent parser with memoization based on PEG grammars
 (aka Packrat parser).
 .
 This is the common documentation package.

## arpeggio 1.10.1

=== debian/changelog ===
arpeggio (1.10.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 03 Jan 2021 14:13:13 +0100

arpeggio (1.10.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Philipp Huebner ]
  * New upstream version 1.10.1
  * Add python3-wheel to Build-Depends
  * Remove obsolete rm command from debian/rules
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated debhelper compat version: 13

 -- Philipp Huebner <debalance@debian.org>  Mon, 28 Dec 2020 15:41:36 +0100

## arpeggio 1.10.2

=== debian/changelog ===
arpeggio (1.10.2-1) unstable; urgency=medium

  * New upstream version 1.10.2

 -- Philipp Huebner <debalance@debian.org>  Tue, 07 Sep 2021 08:21:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: arpeggio
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-distutils,
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools,
-Standards-Version: 4.5.0
+               python3-wheel
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
-Homepage: http://textx.github.io/Arpeggio/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/arpeggio
-Vcs-Git: https://salsa.debian.org/python-team/modules/arpeggio.git
+Homepage: https://textx.github.io/Arpeggio/
+Vcs-Browser: https://salsa.debian.org/python-team/packages/arpeggio
+Vcs-Git: https://salsa.debian.org/python-team/packages/arpeggio.git
 
 Package: python3-arpeggio
 Architecture: all

## arpeggio 2.0.0

=== debian/changelog ===
arpeggio (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated debian/source/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Wed, 22 Jun 2022 12:31:40 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-pytest-runner,
                python3-setuptools,
                python3-wheel
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://textx.github.io/Arpeggio/

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=arpeggio


%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_install:
	dh_auto_install
	rm debian/python3-arpeggio/usr/lib/python*/dist-packages/*.dot
	rm -f docs/about/license.md
	rm -rf examples/*/__pycache__

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%Arpeggio-$1.tar.gz%" \
   https://github.com/textX/Arpeggio/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## arpeggio 2.0.2

=== debian/changelog ===
arpeggio (2.0.2-3) unstable; urgency=medium

  * Team upload.
  * Fix build with nocheck.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Apr 2025 20:15:00 +0200

arpeggio (2.0.2-2) unstable; urgency=medium

  * Dropped Build-Depends on python3-distutils (Closes: #1065828)

 -- Philipp Huebner <debalance@debian.org>  Tue, 19 Mar 2024 09:37:51 +0100

arpeggio (2.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-arpeggio-doc: Add Multi-Arch: foreign.

  [ Philipp Huebner ]
  * New upstream version 2.0.2
  * Updated years in debian/copyright
  * Updated lintian overrides
  * Updated Standards-Version: 4.6.2 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 11 Jan 2024 11:04:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-distutils,
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools,
                python3-wheel
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://textx.github.io/Arpeggio/
@@ -20,8 +19,7 @@
 
 Package: python3-arpeggio
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python-arpeggio-doc
 Description: parser interpreter based on PEG grammars (Python 3)
  Arpeggio is a recursive descent parser with memoization based on PEG grammars
@@ -32,8 +30,8 @@
 Package: python-arpeggio-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: parser interpreter based on PEG grammars (common documentation)
  Arpeggio is a recursive descent parser with memoization based on PEG grammars
  (aka Packrat parser).

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm debian/python3-arpeggio/usr/lib/python*/dist-packages/*.dot
+	rm -f debian/python3-arpeggio/usr/lib/python*/dist-packages/*.dot
 	rm -f docs/about/license.md
 	rm -rf examples/*/__pycache__
